;------ Platinum Editon for Casio Algebra FX 2.0 - Player movement
;
; Programmed by Patrick Davidson (pad@ocf.berkeley.edu)
;
; This software is in the public domain.  There is no warranty.

;------ update player coordinates

move_player:
        mov     dx,[px]

        call    check_left
        je      .nl
        cmp     dl,16
        je      .nl
        dec     dl
        dec     dl
.nl
        call    check_right
        je      .nr
        cmp     dl,104
        je      .nr
        inc     dl
        inc     dl
.nr
        call    check_up
        je      .nu
        cmp     dh,72
        je      .nu
        dec     dh
        dec     dh
.nu
        call    check_down
        je      .nd
        cmp     dh,88
        je      .nd
        inc     dh
        inc     dh
.nd
        mov     [px],dx
        ret

;------ display player's ship

show_player:
        mov     si,player_sprite
        mov     cl,[px]
        mov     al,[py]
        jmp     display_sprite_8

;------ images

player_sprite:
        db      7
        db      11000011b
        db      11000011b
        db      11011011b
        db      11111111b
        db      11111111b
        db      11100111b
        db      11000011b
